%define upstream_name    Test-Number-Delta
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Test-Number-Delta - Perl module
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester) >= 1.20.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Number::Delta compare the difference between numbers against a given
tolerance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files 
%{perl_vendorlib}/Test
%_mandir/man3/Test::Number::Delta.*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-5.mga8
+ Revision: 1497423
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-4.mga7
+ Revision: 1271982
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1034453
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.60.0-2.mga6
+ Revision: 967019
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 848002
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 739660
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 686503
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 585990
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 515248
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 373671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 23216
- cleaning spec file
- imported package perl-Test-Number-Delta


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 405588
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.03-2mdv2009.0
+ Revision: 224137
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 10 2007 Thierry Vignaud <tv@mandriva.org> 1.03-1mdv2008.1
+ Revision: 96736
- import perl-Test-Number-Delta


* Wed Oct 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.03-1mdv2008.1
- Initial build.
